Subject: Re: [PATCH] Removes the <?xml?> declaration from gitweb.pl

From: Jakub Narebski <[email-masked]>
Date: Fri, 13 Oct 2006 15:07:54 +0200

Pazu wrote:

> Jakub Narebski wrote:
> 
>> So what should be our decision? Honor IE quirks ;-) and either remove
>> XML declaration, or use Transitional DTD? Add back SPC to &nbsp; conversion
>> in esc_html? Ignore broken browsers?
> 
> My bad here. In my first email I said that using the Transitional DTD 
> would fix the problem, but I was wrong. It doesn't matter the DTD you 
> use, if you add a <?xml?> declaration, IE will get it wrong and activate 
> quirks mode.

Well, there is yet another solution. Do browser detection, and do not output
<?xml ... ?> declaration for IE. Perhaps that would be best solution.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git